Bug 529225 - speakers of my notebook doesn't work (headphones are OK)
speakers of my notebook doesn't work (headphones are OK)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-15 11:14 EDT by Matěj Cepl
Modified: 2009-10-22 18:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-22 12:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info results (21.91 KB, text/plain)
2009-10-15 11:14 EDT, Matěj Cepl
no flags Details
screenshot of alsamixer -c0 (44.97 KB, image/png)
2009-10-22 07:58 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2009-10-15 11:14:26 EDT
Created attachment 364937 [details]
alsa-info results

Description of problem:
see %subj% ... both with and without Pulseaudio running (I would prefer it running, to be honest) I don't get any sound from speakers of my notebook. Headphones work just fine, but when pull jacks out of the computer, loudspeaker doesn't pick up the sound (neither it works after startup without any headphones used).

Version-Release number of selected component (if applicable):
alsa-utils-1.0.21-2.fc12.x86_64
alsa-utils-debuginfo-1.0.21-2.fc12.x86_64
alsa-plugins-pulseaudio-1.0.21-2.fc12.x86_64
alsa-lib-1.0.21-3.fc12.i686
alsa-oss-libs-1.0.17-4.fc12.x86_64
alsa-lib-1.0.21-3.fc12.x86_64
kernel-2.6.31.1-58.fc12.x86_64
python-alsaaudio-0.5-2.fc12.x86_64
alsa-lib-debuginfo-1.0.21-3.fc12.x86_64
alsa-lib-devel-1.0.21-3.fc12.x86_64
alsa-oss-1.0.17-4.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1.play anything without headphones plugged in
2.
3.
  
Actual results:
no sound

Expected results:
just playing as it does to headphones

Additional info:
Comment 1 Adam Williamson 2009-10-21 11:22:54 EDT
discussed at blocker meeting today; we can't really put bugs like this on the blocker list, unfortunately, we're not at the point where we can delay releases for system-specific audio problems like this.

can you confirm you've run 'alsamixer -c0' and twiddled with all the controls there to see if it's just a volume setting issue? if so, can you test with the following in /etc/modprobe.d/alsa.conf :

options snd-intel-hda model=auto

and see if it changes anything?

(Jaroslav, I don't see any model= options documented for Conexant CX20561 in HD-Audio-Models.txt , so I don't know which other parameters to suggest...)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Matěj Cepl 2009-10-22 07:58:47 EDT
Created attachment 365707 [details]
screenshot of alsamixer -c0

With a lot of googling, I tried to add this /etc/modprobe.d/alsa.conf

options snd-hda-intel model=laptop enable_msi=1

(I had terrible number of errors in dmesg|grep DMA related to this device), but the situation has not changed. Still headphones are playing lovely, speaker is silenced.

My current profile is
http://www.alsa-project.org/db/?f=b51e86845ac62ce147e056771daccb2e36f4d5e5
Comment 3 Matěj Cepl 2009-10-22 12:15:49 EDT
It was PEBKAC in the end, too embarrassing to admit what actually happened ;).
Comment 4 Adam Williamson 2009-10-22 17:41:08 EDT
aw, go on, i'll buy you a beer ;)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matěj Cepl 2009-10-22 18:38:35 EDT
(In reply to comment #4)
> aw, go on, i'll buy you a beer ;)

First beer, than talking ;)

Note You need to log in before you can comment on or make changes to this bug.